#ifndef DIALOG_H
#define DIALOG_H

#include <cpctelera.h>
#include "Difficulty.h"
#include "GameState.h"
#include "Inventory.h"
#include "Keys.h"
#include "Text.h"
#include "Utility.h"
#include "sprites/ItemSprites.h"
#include "sprites/MiscSprites.h"

//diplays a box to ask the player if they want to exit the game or not
u8 exitDialog();

// Displays a box showing the items that the player is currently carrying.
void inventoryDialog();

void drawItemBox(u8* memory, u8* graphic);

#endif