#include "Difficulty.h"

u8 startingHealth = 10;
u8 chosenDifficulty = 0;
u8 maxHealth = 20;
u8 healthItemValue = 2;
u8 lightBeamLength = 4;
u8 lightCellsOutY = 3;
u8 maxDarkMoves = 6;
u8 finalBossStartingHealth = 99;
u8 bossMoveDamage = 9;
u8 plantHunger = 17;

void setupDifficulty()
{
	healthItemValue = 2;
	startingHealth = 10;
	maxHealth = 20;
	lightBeamLength = 4;
	lightCellsOutY = 3;
	finalBossStartingHealth = 99;
	bossMoveDamage = 11;
	plantHunger = 15;

	if (chosenDifficulty == EASY_DIFFICULTY)
	{
		startingHealth = 15;
		healthItemValue = 4;
		maxHealth = 28;
		lightBeamLength = 6;
		lightCellsOutY = 5;
		finalBossStartingHealth = 70;
		bossMoveDamage = 9;
		plantHunger = 8;
	}
	else if (chosenDifficulty == NORMAL_DIFFICULTY)
	{
		healthItemValue = 3;
		maxHealth = 24;
		lightBeamLength = 5;
		lightCellsOutY = 4;
		finalBossStartingHealth = 80;
		bossMoveDamage = 9;
		plantHunger = 12;
	}

	setDarkMoves();
}

void setDarkMoves()
{
	maxDarkMoves = 6;

	if (chosenDifficulty == EASY_DIFFICULTY)
	{
		maxDarkMoves = 12;
	}
	else if (chosenDifficulty == NORMAL_DIFFICULTY)
	{
		maxDarkMoves = 8;
	}
}