#include "Keys.h"

Keys gameControls;

void setupDefaultKeys()
{
	gameControls.left = Key_CursorLeft;
    gameControls.right = Key_CursorRight;
    gameControls.up = Key_CursorUp;
    gameControls.down = Key_CursorDown;
    gameControls.use = Key_Space;
    gameControls.exit = Key_Esc;
    gameControls.inventory = Key_I;
	gameControls.attack = Key_X;
}

void initKeys()
{
    gameControls.upIsDown = FALSE;
    gameControls.downIsDown = FALSE;
    gameControls.leftIsDown = FALSE;
    gameControls.rightIsDown = FALSE;
    gameControls.useIsDown = FALSE;
	gameControls.exitIsDown = FALSE;
	gameControls.attackIsDown = FALSE;
}

void readGameControls()
{
	//up
	if (cpct_isKeyPressed(gameControls.up))
	{
		gameControls.upIsDown = TRUE;
	}
	else
	{
		gameControls.upIsDown = FALSE;
	}

	//down
	if (cpct_isKeyPressed(gameControls.down))
	{
		gameControls.downIsDown = TRUE;
	}
	else
	{
		gameControls.downIsDown = FALSE;
	}

	//left
	if (cpct_isKeyPressed(gameControls.left))
	{
		gameControls.leftIsDown = TRUE;
	}
	else
	{
		gameControls.leftIsDown = FALSE;
	}

	//right
	if (cpct_isKeyPressed(gameControls.right))
	{
		gameControls.rightIsDown = TRUE;
	}
	else
	{
		gameControls.rightIsDown = FALSE;
	}

	//use
	if (cpct_isKeyPressed(gameControls.use))
	{
		gameControls.useIsDown = TRUE;
	}
	else
	{
		gameControls.useIsDown = FALSE;
	}

	// Exit (escape)
	if (cpct_isKeyPressed(gameControls.exit))
	{
		gameControls.exitIsDown = TRUE;
	}
	else
	{
		gameControls.exitIsDown = FALSE;
	}

	// Attack (ranged attack only).
	if (cpct_isKeyPressed(gameControls.attack))
	{
		gameControls.attackIsDown = TRUE;
	}
	else
	{
		gameControls.attackIsDown = FALSE;
	}
}